<?php 
#############################################
## © Pedro Palacios S.     #### 2006 ########
#############################################
## Script formulario de correo mail222.php ##
#############################################


$micorreo="fullgas@fullgas.cl"; 
$xasunto="Correo desde tu pagina";
$gracias_defecto="http://www.fullgas.cl/pag/enviado.php"; 
$error_correo="http://www.fullgas.cl/pag/error.php"; 
$retorno="\r\n";

$headers = "MIME-Version: 1.0\r\n" ;
$headers .= "From: {$_POST['nombre']}<{$de}>\r\n";
$headers .= "Reply-To: ".$_POST['correo']."\r\n";
$mfinal.="IP visitante: ";
$mfinal.=$HTTP_SERVER_VARS['REMOTE_ADDR'];
$mfinal.=": ";
$mfinal.=$HTTP_SERVER_VARS['REMOTE_PORT'];
$mfinal.=$retorno;
$mfinal.=$retorno; 
$mfinal.="La siguiente persona ha enviado un mensaje desde el formulario de contacto de la página Web fullgas.cl y escribió lo siguiente:";
$mfinal.=$retorno; 
$mfinal.=$retorno; 
$vareliminar=2;
$claves_array=array_keys ($HTTP_POST_VARS);
for ($i=0;$i<=(count($HTTP_POST_VARS)-$vareliminar);$i++)
{
$nombrevar=$claves_array[$i];
$mfinal .= $nombrevar;
$mfinal .= ": ";
$mfinal .= $HTTP_POST_VARS[$nombrevar]; 
$mfinal .= $retorno;

}
if (is_null($asunto)){ $asunto="Mensaje desde formulario fullgas.cl";}
else { $asunto ="FORMULARIO DOMINIO.cl Asunto -> $asunto"; }
$resultado=mail($micorreo, $asunto, $mfinal, $headers);
if ($resultado ==true) 
{
if (is_null($pagina_gracias)){ header( "Location: $gracias_defecto" );}
else{ 
header( "Location: $pagina_gracias" );
}
}
else header( "Location: $error_correo" );
?> 